CK_RHS_REBUILD(3)

NAME
ck_rhs_rebuild - rebuild a hash set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_rhs.h>
bool
ck_rhs_rebuild(ck_rhs_t *hs);

DESCRIPTION
The ck_rhs_rebuild(3) function will regenerate the hash set pointed to by hs. This has the side-effect of pruning degradatory side-effects of workloads that are delete heavy. The regenerated hash set should have shorter probe sequences on average. This operation will require a significant amount of memory and is free to allocate a duplicate hash set in the rebuild process.

RETURN VALUES
Upon successful completion, ck_rhs_rebuild(3) returns true and otherwise returns false on failure.

ERRORS
This function will only return false if there are internal memory allocation failures.

SEE ALSO
ck_rhs_init(3), ck_rhs_move(3), ck_rhs_destroy(3), CK_RHS_HASH(3), ck_rhs_iterator_init(3), ck_rhs_next(3), ck_rhs_get(3), ck_rhs_put(3), ck_rhs_put_unique(3), ck_rhs_set(3), ck_rhs_fas(3), ck_rhs_gc(3), ck_rhs_grow(3), ck_rhs_remove(3), ck_rhs_count(3), ck_rhs_reset(3), ck_rhs_reset_size(3), ck_rhs_stat(3)

Additional information available at http://concurrencykit.org/